
QGIS Application - Bug report #16801

[Processing] Dissolve with unique field cause segmentation fault 

2017-07-06 09:03 AM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24700

Description

Tried with different dataset. When a unique field is entered to dissolve the layer I get a segmentation fault.

No problem when the option unique field is not taken into account

History

#1 - 2017-07-06 12:00 PM - Giovanni Manghi

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Assignee deleted (Giovanni Manghi)

- Category changed from Any to Processing/QGIS

- Easy fix? set to No

- Regression? set to Yes

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to master

- Priority changed from Normal to High

#2 - 2017-07-07 09:00 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed by commit:3a31f54b15aa66476c548cd44d22fd792ab04d54
